<?php

use Kaizen_Coders\Url_Shortify\Helper;

$links = Helper::get_data( $template_data, 'links', [] );

?>


<div class="mt-8 mr-8">
    <nav class="bg-white shadow border-b">
        <div class="max-w-7xl mx-auto px-2">
            <div class="flex justify-between h-16">
                <div class="flex px-2 lg:px-0">

                    <div class="flex justify-between h-16">
                        <div class="flex px-2 lg:px-0">
                            <div class="hidden lg:ml-6 lg:flex">
								<?php foreach ( $links as $link ) { ?>
                                    <a href="<?php echo $link['link']; ?>" class="inline-flex items-center px-1 pt-1 border-b-2 border-indigo-500 text-sm font-medium leading-5 text-gray-900 focus:outline-none focus:border-indigo-700 transition duration-150 ease-in-out">
										<?php echo $link['title']; ?>
                                    </a>
								<?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="bg-white pb-10">
            <div class="ml-5 mr-4">
                <form class="text-left pt-4 mt-2 item-center" method="post" name="form_addemail" id="form_addemail" action="#" enctype="multipart/form-data">
                    <table class="max-w-full form-table">
                        <tbody>

                        <tr class="border-b  border-gray-100">
                            <th scope="row" class="w-3/12 pt-3 pb-8 text-left">
                                <label for="tag-image"><span class="block ml-6 pr-4 text-sm font-medium text-gray-600 pb-1">
										<?php _e( 'One Click Pretty Links Import', 'url-shortify' ); ?>
										</span>
                                    <p class="italic text-xs font-normal text-gray-400 mt-2 ml-6 leading-snug"><?php echo sprintf( __( 'We detect pretty links. Import now.', 'url-shortify' ) ); ?></p>
                                </label>
                            </th>
                            <td class="w-9/12 pb-3 ">
                                <input type="button" name="import-pretty-links" id="kc-us-import-pretty-links" class="px-4 py-2 ml-6 mr-2 align-middle cursor-pointer kc-us-primary-button" value="<?php _e( "Import", 'url-shortify' ); ?>"/>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </form>
            </div>
            <div class="ml-10 mt-10 w-9/12 hidden" id="kc-us-import-progress-bar">
                <div class="meter">
                    <span style="width:80%;"><span class="progress">80%</span></span>
                </div>
            </div>
        </div>
    </nav>


</div>
