<?php
/**
 * Functions for updating data, used by the background updater.
 */

defined( 'ABSPATH' ) || exit;

use Kaizen_Coders\Url_Shortify\Install;

/**************** 1.0.1 (Start) *******************/

/**
 * Alter `links` table
 *
 * @since 1.0.1
 */
function kc_us_update_101_alter_links_table() {

	global $wpdb;

	$links_table_exists = $wpdb->query( "SHOW TABLES LIKE '{$wpdb->prefix}kc_us_links'" );
	if ( $links_table_exists > 0 ) {

		$cols = $wpdb->get_col( "SHOW COLUMNS FROM {$wpdb->prefix}kc_us_links" );

		// If column doesn't exists, then insert it
		if ( ! in_array( 'sponsored', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN sponsored tinyint(1) DEFAULT 0 AFTER `track_me` " );
		}

		// Modify params_forwarding Column
		if ( in_array( 'params_forwarding', $cols ) ) {
			$query = "ALTER TABLE {$wpdb->prefix}kc_us_links MODIFY `params_forwarding` tinyint(1) DEFAULT 0";
			$wpdb->query( $query );
		}

		// Modify status Column
		if ( in_array( 'status', $cols ) ) {

			$query = "UPDATE {$wpdb->prefix}kc_us_links set status = 1 WHERE status IS NULL";
			$wpdb->query( $query );

			$query = "ALTER TABLE {$wpdb->prefix}kc_us_links MODIFY `status` tinyint(1) DEFAULT 0";
			$wpdb->query( $query );

		}

	}

}

/**
 * Create Clicks table
 */
function kc_us_update_101_create_tables() {
	Install::create_tables( '1.0.1' );
}

/**
 * Update DB Version
 */
function kc_us_update_101_db_version() {
	Install::update_db_version( '1.0.1' );
}

/**************** 1.0.1 (End) *******************/

/**************** 1.0.4 (Start) *******************/


/**
 * Alter `links` table
 *
 * @since 1.0.4
 */
function kc_us_update_104_alter_links_table() {

	global $wpdb;

	$links_table_exists = $wpdb->query( "SHOW TABLES LIKE '{$wpdb->prefix}kc_us_links'" );
	if ( $links_table_exists > 0 ) {

		$cols = $wpdb->get_col( "SHOW COLUMNS FROM {$wpdb->prefix}kc_us_links" );

		// If column doesn't exists, then insert it
		if ( ! in_array( 'rules', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN `rules` text DEFAULT '' AFTER `cpt_id` " );
		}

		// If column doesn't exists, then insert it
		if ( ! in_array( 'expires_at', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN `expires_at` DATETIME DEFAULT NULL AFTER `status` " );
		}

		if ( ! in_array( 'password', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN `password` varchar(255) DEFAULT NULL AFTER `status` " );
		}

		if ( ! in_array( 'type_id', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN `type_id` int(11) DEFAULT NULL AFTER `status` " );
		}

		// If column doesn't exists, then insert it
		if ( ! in_array( 'type', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN `type` varchar(30) DEFAULT 'direct' AFTER `status` " );
		}

		// If column exists, delete it
		if ( in_array( 'group_id', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links DROP COLUMN `group_id` " );
		}
	}

}

/**
 * Update DB Version
 */
function kc_us_update_104_db_version() {
	Install::update_db_version( '1.0.4' );
}


/**************** 1.0.4 (End) *******************/

/**************** 1.1.3 (Start) *******************/

/**
 * Create tables (Groups & Links_Groups)
 */
function kc_us_update_113_create_tables() {
	Install::create_tables( '1.1.3' );
}

/**
 * Update DB Version
 */
function kc_us_update_113_db_version() {
	Install::update_db_version( '1.1.3' );
}

/**************** 1.1.3 (End) *******************/
/**************** 1.1.4 (Start) *******************/

/**
 * Create tables (Groups & Links_Groups)
 */
function kc_us_update_114_create_tables() {
	/**
	 * At this stage we want to check authenticity of tables. If any tables are missing
	 * due to any reason, we will create a new table now.
	 */
	Install::create_tables();
}

/**
 * Update DB Version
 */
function kc_us_update_114_db_version() {
	Install::update_db_version( '1.1.4' );
}

/**************** 1.1.4 (End) *******************/

/**************** 1.2.5(Start) *******************/

function kc_us_update_125_alter_links_table() {

	global $wpdb;

	$links_table_exists = $wpdb->query( "SHOW TABLES LIKE '{$wpdb->prefix}kc_us_links'" );

	if ( $links_table_exists > 0 ) {

		$cols = $wpdb->get_col( "SHOW COLUMNS FROM {$wpdb->prefix}kc_us_links" );

		// If column doesn't exists, then insert it
		if ( ! in_array( 'cpt_type', $cols ) ) {
			$wpdb->query( "ALTER TABLE {$wpdb->prefix}kc_us_links ADD COLUMN cpt_type varchar(20) DEFAULT NULL AFTER `cpt_id` " );
		}

	}

}

/**
 * Update DB Version
 */
function kc_us_update_125_db_version() {
	Install::update_db_version( '1.2.5' );
}

/**************** 1.2.5 (End) *******************/

